Operating system set to macOS
Documentation jurisdiction set to United States
Sign inConnect Claude

Invoke Skill Estate Review

post/api/v1/skills/estate.review/invoke

Review wills, trusts, beneficiaries, control, and tax exposure of an estate plan.

Request bodyapplication/json

FieldTypeDescription
file_idsstring (uuid)[]β€”
jurisdiction"AU" | "GB" | "CA" | "US" | "NZ" | nullβ€”
review_mode"full" | "tax_only" | "control_only" | "trust_only"β€”
fulltax_onlycontrol_onlytrust_only
client_contextobjectβ€”
show nested
Empty object.

Responses

200Skill executed successfully
FieldTypeDescription
skillrequiredstringβ€”
outputrequiredobjectβ€”
show nested
FieldTypeDescription
stub_fieldsstring[]β€”
warningsstring[]β€”
summarystringβ€”
findingsany[]β€”
recommendationsstring[]β€”
citationsany[]β€”
risk_level"low" | "medium" | "high"β€”
lowmediumhigh
correlation_idrequiredstringβ€”
401Authentication required
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
403Insufficient permissions
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
404Skill not found
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
429Rate limit exceeded
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
5XXInternal server error
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
curl https://api.dev.arch.ie/api/v1/skills/estate.review/invoke \
  -X POST \
  -H "Authorization: Bearer sk_..." \
  -H "Content-Type: application/json" \
  -d '{
       "file_ids": [
         "00000000-0000-0000-0000-000000000000"
       ],
       "jurisdiction": null,
       "review_mode": "full",
       "client_context": {}
     }'